/*******************************
 * Common Functions for Alarm Clock
 * Author: Cooper Bills <cbills07@gmail.com>
 * July 2010
 *******************************/

#ifndef _COMMON_H_
#define _COMMON_H_

typedef void(* basicCallback) (void);

int fromBCD(int num)
{
  return (num & 0x0F) + ((num >> 4)*10);
}

int toBCD(int num)
{
  return ((num / 10) << 4) + (num % 10);
}

#endif